### Method

# Gtk Adjustmentclamp_page

#### Declaration [src]

    void
    gtk_adjustment_clamp_page (
      GtkAdjustment* adjustment,
      double lower,
      double upper
    )

#### Description [src]

Updates the value property to ensure that the range between `lower` and `upper` is in the current page.

The current page goes from `value` to `value` + `page-size`. If the range is larger than the page size, then only the start of it will be in the current page.

A `GtkAdjustment::value-changed` signal will be emitted if the value is changed.

#### Parameters

`lower`

  Type: `double`

  The lower value.

`upper`

  Type: `double`

  The upper value.